aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Ancell <robert.ancell@canonical.com>2012-12-06 15:58:44 +1300
committerRobert Ancell <robert.ancell@canonical.com>2012-12-06 15:58:44 +1300
commitb121a13c9490ac690d57a7e9bbfe729cd9d197fc (patch)
tree66326b1b5f796923f9f966b750bd3ce93ce57a30
parent0119cb849d30241e04f27f622c710967bb9e79d0 (diff)
downloadayatana-indicator-bluetooth-b121a13c9490ac690d57a7e9bbfe729cd9d197fc.tar.gz
ayatana-indicator-bluetooth-b121a13c9490ac690d57a7e9bbfe729cd9d197fc.tar.bz2
ayatana-indicator-bluetooth-b121a13c9490ac690d57a7e9bbfe729cd9d197fc.zip
Get distcheck working
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh19
-rw-r--r--po/POTFILES.in2
-rw-r--r--po/POTFILES.skip2
4 files changed, 15 insertions, 10 deletions
diff --git a/Makefile.am b/Makefile.am
index 0d6e86d..4fa38ad 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,3 +1,5 @@
SUBDIRS = data po src
EXTRA_DIST = autogen.sh NEWS
+
+DISTCHECK_CONFIGURE_FLAGS = --enable-localinstall
diff --git a/autogen.sh b/autogen.sh
index 672b25b..82480e7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,9 +1,12 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
-libtoolize
-intltoolize --force
-aclocal
-automake --add-missing --copy --foreign
-autoconf
-./configure $@
+
+PKG_NAME="indicator-bluetooth"
+
+which gnome-autogen.sh || {
+ echo "You need gnome-common"
+ exit 1
+}
+
+USE_GNOME2_MACROS=1 \
+. gnome-autogen.sh
+
diff --git a/po/POTFILES.in b/po/POTFILES.in
index b1f140c..3d935d7 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -1,4 +1,4 @@
# List of source files containing translatable strings.
# Please keep this file in alphabetical order.
[encoding: UTF-8]
-src/indicator-bluetooth.vala
+src/indicator-bluetooth-service.vala
diff --git a/po/POTFILES.skip b/po/POTFILES.skip
index dfa1f6d..6161392 100644
--- a/po/POTFILES.skip
+++ b/po/POTFILES.skip
@@ -1 +1 @@
-src/indicator-bluetooth.c
+src/indicator-bluetooth-service.c